/*
 * A Decibel TextChannel GUI
 * Copyright (C) 2008 George Goldberg <grundleborg@googlemail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "channelhandler.h"

#include <Decibel/AccountManager>
#include <Decibel/DBusNames>

#include <QtGui/QApplication>

int main(int argc, char ** argv)
{
    /*
     * we must register the Decibel types immediately
     * at the start of the program
     */
    Decibel::registerTypes();

    /*
     * set up our QApplication
     */
    QApplication app(argc, argv);

    /*
     * create a channel handler to handle incoming connections,
     */
    ChannelHandler channel_handler;

    /*
     * register the app on DBus
     */
    QDBusConnection::sessionBus().registerService(Decibel::organization_name + '.' + "textchannelgui");
    QDBusConnection::sessionBus().registerObject("/TextChannelHandler", &channel_handler);

    /*
     * start event loop
     */
    return app.exec();
}

