/*
 * the Decibel Realtime Communication Framework
 * Copyright (C) 2006 by basyskom GmbH
 *  @author Tobias Hunger <info@basyskom.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef DECIBEL_ACCOUNTDATA_H
#define DECIBEL_ACCOUNTDATA_H

#include <QtCore/QString>

namespace Decibel {

/** "Special" names for use in QVariantMaps: */
const QString name_protocol("decibel_protocol");
const QString name_presence("decibel_presence");
const QString name_display_name("decibel_display_name");
const QString name_current_presence("decibel_current_presence");
const QString name_presence_parameters("decibel_presence_parameters");
const QString name_autoreconnect("decibel_auto_reconnect");

/** "Normal" Telepathy names: */
const QString name_tp_server("server");
const QString name_tp_account("account");
const QString name_tp_password("password");
const QString name_tp_port("port");

const QString state_offline("offline");
const QString state_available("available");

inline bool isOffline(const QString presence)
{ return (0 == QString::compare(presence.toLower(), state_offline)); }

} // namespace

// Helper methods:

#endif // header guard
